Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 866506 - >=sys-block/targetcli-fb-2.1.54: keyword request
Summary: >=sys-block/targetcli-fb-2.1.54: keyword request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks:
 
Reported: 2022-08-25 10:15 UTC by Marek Szuba
Modified: 2022-10-07 08:49 UTC (History)
2 users (show)

See Also:
Package list:
>=sys-block/targetcli-fb-2.1.54 ~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 dev-python/configshell-fb ~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 dev-python/rtslib-fb ~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86
Runtime testing required: No
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Szuba archtester gentoo-dev 2022-08-25 10:15:18 UTC
This is to achieve keyword parity with sys-libs/libblockdev - the latter uses targetcli-fb in its test suite.
Comment 1 NATTkA bot gentoo-dev 2022-08-25 10:20:18 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2022-08-25 10:28:17 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2022-08-25 11:00:19 UTC
All sanity-check issues have been resolved
Comment 4 Arthur Zamarin archtester gentoo-dev 2022-08-25 16:44:00 UTC
ia64 done
Comment 5 Arthur Zamarin archtester gentoo-dev 2022-08-25 16:44:01 UTC
arm done
Comment 6 Arthur Zamarin archtester gentoo-dev 2022-08-25 16:44:03 UTC
ppc64 done
Comment 7 Arthur Zamarin archtester gentoo-dev 2022-08-25 16:44:04 UTC
arm64 done
Comment 8 Arthur Zamarin archtester gentoo-dev 2022-08-25 17:39:13 UTC
ppc done
Comment 9 Arthur Zamarin archtester gentoo-dev 2022-09-04 18:18:55 UTC
sparc done
Comment 10 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2022-09-19 06:43:34 UTC
alpha done
Comment 11 matoro archtester 2022-09-25 04:07:48 UTC
mips done
Comment 12 Larry the Git Cow gentoo-dev 2022-10-04 18:45:34 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d4fa72521b7aacc49f13dd10633dd19fa3ed6fb

commit 5d4fa72521b7aacc49f13dd10633dd19fa3ed6fb
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2022-10-04 18:35:21 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2022-10-04 18:45:23 +0000

    profiles/arch/loong: mask USE=test on sys-libs/libblockdev
    
    Bug: https://bugs.gentoo.org/866506
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 profiles/arch/loong/package.use.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 13 Larry the Git Cow gentoo-dev 2022-10-07 08:47:47 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05550e06d57dc30b7427fe18ab08b0c01236791f

commit 05550e06d57dc30b7427fe18ab08b0c01236791f
Author:     WANG Xuerui <xen0n@gentoo.org>
AuthorDate: 2022-10-07 08:43:17 +0000
Commit:     WANG Xuerui <xen0n@gentoo.org>
CommitDate: 2022-10-07 08:44:26 +0000

    profiles/arch/loong: remove the sys-libs/libblockdev[test] mask
    
    sys-block/targetcli-fb has ~loong keyword now.
    
    Bug: https://bugs.gentoo.org/866506
    Signed-off-by: WANG Xuerui <xen0n@gentoo.org>

 profiles/arch/loong/package.use.mask | 4 ----
 1 file changed, 4 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bd832976e23c574c7cd6f13f0c50a0caf8b05a7

commit 1bd832976e23c574c7cd6f13f0c50a0caf8b05a7
Author:     WANG Xuerui <xen0n@gentoo.org>
AuthorDate: 2022-10-07 08:33:52 +0000
Commit:     WANG Xuerui <xen0n@gentoo.org>
CommitDate: 2022-10-07 08:37:34 +0000

    sys-block/targetcli-fb: keyword 2.1.54 for ~loong
    
    Bug: https://bugs.gentoo.org/866506
    Signed-off-by: WANG Xuerui <xen0n@gentoo.org>

 sys-block/targetcli-fb/targetcli-fb-2.1.54.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea1aa54a64a329190f1fb5d3146fee3ce6e037ba

commit ea1aa54a64a329190f1fb5d3146fee3ce6e037ba
Author:     WANG Xuerui <xen0n@gentoo.org>
AuthorDate: 2022-10-07 08:33:50 +0000
Commit:     WANG Xuerui <xen0n@gentoo.org>
CommitDate: 2022-10-07 08:37:32 +0000

    dev-python/rtslib-fb: keyword 2.1.74 for ~loong
    
    Bug: https://bugs.gentoo.org/866506
    Signed-off-by: WANG Xuerui <xen0n@gentoo.org>

 dev-python/rtslib-fb/rtslib-fb-2.1.74.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de4df0e1655ec58fd14501afcba14bdd4f394181

commit de4df0e1655ec58fd14501afcba14bdd4f394181
Author:     WANG Xuerui <xen0n@gentoo.org>
AuthorDate: 2022-10-07 08:33:46 +0000
Commit:     WANG Xuerui <xen0n@gentoo.org>
CommitDate: 2022-10-07 08:37:29 +0000

    dev-python/configshell-fb: keyword 1.1.29 for ~loong
    
    Bug: https://bugs.gentoo.org/866506
    Signed-off-by: WANG Xuerui <xen0n@gentoo.org>

 dev-python/configshell-fb/configshell-fb-1.1.29.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 14 WANG Xuerui gentoo-dev 2022-10-07 08:49:13 UTC
loong done